I'm getting a java.lang.UnsatisfiedLinkError while connecting !_NEWLINE_!to oracle7.2.4 via the oci7 dirver.
1 posts in topic
Flat View  Flat View
TOPIC ACTIONS:
 

Posted By:   Sri_Harsha
Posted On:   Wednesday, October 3, 2001 05:03 AM

I'm trying to connect to a oracle7.2.4 database
(installed on the same machine!) via the oci7 driver.
I get an error while I'm trying to obtain a connection
from the DriverManager that 'java.lang.UnsatisfiedLinkError'.

I'm able to connect to the same database using the 'thin' driver.

the url I'm using for the 'oci7' driver is,
"jdbc:oracle:oci7:@"

Any tips?

Re: I'm getting a java.lang.UnsatisfiedLinkError while connecting !_NEWLINE_!to oracle7.2.4 via the oci7 dirver.

Posted By:   Vittal__Pramod  
Posted On:   Wednesday, October 3, 2001 09:24 PM

Try with Full path.
eg; For connecting database by thin
driver is ,
Connection con=DriverManager.getConnection("jdbc:oracle:thin:@servername:portno:domainname","username","password");
try like this for oci7 driver.
About | Sitemap | Contact